1

Topic: PostgreSQL database server compatibility

==== REQUIRED BASIC INFO OF YOUR IREDMAIL SERVER ====
- iRedMail version (check /etc/iredmail-release):  0.9.9
- Deployed with iRedMail Easy or the downloadable installer? No
- Linux/BSD distribution name and version:  CentOS 7.6
- Store mail accounts in which backend (LDAP/MySQL/PGSQL):  PGSQL v9.2
- Web server (Apache or Nginx): Nginx
- Manage mail accounts with iRedAdmin-Pro? Yes, 3.2
====

Currently the server is running PostgreSQL v9.2 which is outdated now, so is the iredmail compatible with PostgreSQL v10 stable release. If yes kindly share me the steps to upgrade the database.

2

Re: PostgreSQL database server compatibility

iRedMail uses the packages offered by official CentOS yum repositories, if PGSQL v10 is not available in the official yum repos, i suggest sticking to the v9.2.

BTW, which features do you eagerly want to get from v10?

----

Does my reply help a little? How about buying me a cup of coffee ($5) as an encouragement?

buy me a cup of coffee

3

Re: PostgreSQL database server compatibility

PGSQL v10 is available to CentOS by installing official PostgreSQL repositories.

There are many things like performance tuning which is far better in case of PGSQL v10 and stability also.